
Foreman - Feature #8780

Add a way to prevent reboot on failed deploy

12/22/2014 06:23 AM - Jorick Astrego

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Unattended installations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.6.3

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently when a part of the post-install of the provisioning template fails the system never finishes the build and will reboot.

It will then try and build again and fail, putting it in a reboot loop.

You then have to search manually in the logs to see which part fails.

Can we have an option to prevent reboot on failed built and have the error sent to foreman?

Related issues:

Related to Foreman - Feature #21007: Templates API to mark a build as failed Closed

History

#1 - 12/22/2014 08:32 AM - Ohad Levy

just thinking out loud..

keep a counter of reboots, and zero it each time the system change from boot true to boot false.

if the counter is bigger than 3, alert and abort provisioning?

#2 - 03/05/2018 10:11 AM - Lukas Zapletal

- Related to Feature #21007: Templates API to mark a build as failed added

#3 - 03/05/2018 01:23 PM - Lukas Zapletal

- Status changed from New to Duplicate

Dupe of #21007 - we are going to tackle that. PR is pending review actually.
